Bug 820231 - [rhevm-webadmin] - Edit Pool shows different template
[rhevm-webadmin] - Edit Pool shows different template
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine-webadmin-portal (Show other bugs)
3.1.0
x86_64 Linux
medium Severity high
: ---
: ---
Assigned To: Tomas Jelinek
David Botzer
virt
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-05-09 08:43 EDT by David Botzer
Modified: 2015-09-22 09 EDT (History)
8 users (show)

See Also:
Fixed In Version: si6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-12-04 15:01:53 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
engine.log (920.79 KB, application/octet-stream)
2012-05-10 01:19 EDT, David Botzer
no flags Details
vdsm-spm-south2 (802.16 KB, application/x-gzip)
2012-05-10 01:22 EDT, David Botzer
no flags Details

  None (edit)
Description David Botzer 2012-05-09 08:43:01 EDT
Description of problem:
After Creating a Pool of VMs with TemplateA, I edit the Pool
in order to ADD VMs, But I can create only VMs with TemplateB


Version-Release number of selected component (if applicable):
rhevm-engine 3.1, SI3

How reproducible:
Always

Steps to Reproduce:
1.I created a vm that works fine
2.I exported it to template (WinXP)
3.I created a new Pool of VMs (2)
4.I Run those VMs correctly
5.I edit the Pool and "Add" VMs

Actual results:
In the Pool Properties I see different VMs
- Also the newly different-template-&-OS are startable

Expected results:
should show and use the same template that the pool was created with

Additional info:
Comment 1 Haim 2012-05-09 15:16:21 EDT
please attach logs of both backend & vdsm - maybe they will tell us what happend to your template and explain why UI didn't show it. 
also, on your spm machine, please run tree command on /rhev/data-center/<spUUID>
Comment 2 David Botzer 2012-05-10 01:19:06 EDT
Created attachment 583431 [details]
engine.log
Comment 3 David Botzer 2012-05-10 01:22:11 EDT
Created attachment 583432 [details]
vdsm-spm-south2
Comment 4 David Botzer 2012-05-10 01:24:36 EDT
Thanks Haim,
TREE On SPM -> 
tree /rhev/data-center/d4d6d15f-4d6f-4227-8e92-5a4ed4672279/
/rhev/data-center/d4d6d15f-4d6f-4227-8e92-5a4ed4672279/
|-- 670b9b0f-dc14-45a0-b114-3936f709753d -> /rhev/data-center/mnt/blockSD/670b9b0f-dc14-45a0-b114-3936f709753d
|-- eebcad17-cbf7-4098-880d-81e2c2504169 -> /rhev/data-center/mnt/tiger.qa.lab.tlv.redhat.com:_volumes_tiger2_NFS__share_shared__iso__domain/eebcad17-cbf7-4098-880d-81e2c2504169
`-- mastersd -> /rhev/data-center/mnt/blockSD/670b9b0f-dc14-45a0-b114-3936f709753d

2 directories, 1 file
Comment 5 Einav Cohen 2012-05-12 12:39:10 EDT
isn't related to backend or vdsm - it seems that the edit pool dialog just doesn't work properly (it probably selects the first template in the list instead of the template from which the pool VMs were created).
Comment 6 Tomas Jelinek 2012-05-15 03:34:41 EDT
in gerrit: http://gerrit.ovirt.org/#change,4423
Comment 7 Tomas Jelinek 2012-05-16 10:24:19 EDT
git: 39d5672d2e6a73a8272d6ebc1a506fbd3528fca1

Note You need to log in before you can comment on or make changes to this bug.